package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc设备预算对象 cmc_budget_device
 * 
 * @author cmc
 * @date 2024-03-22
 */
public class CmcBudgetDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备预算id */
    private String budgetDeviceId;

    /** 预算id */
    @Excel(name = "预算id")
    private String budgetId;

    /** 设备id */
    @Excel(name = "设备id")
    private Integer deviceId;

    private CmcDevice device;

    /** 天数 */
    @Excel(name = "天数")
    private Integer days;

    /** 折旧成本 */
    @Excel(name = "折旧成本")
    private BigDecimal depreciation;

    public void setBudgetDeviceId(String budgetDeviceId) 
    {
        this.budgetDeviceId = budgetDeviceId;
    }

    public String getBudgetDeviceId() 
    {
        return budgetDeviceId;
    }
    public void setBudgetId(String budgetId) 
    {
        this.budgetId = budgetId;
    }

    public String getBudgetId() 
    {
        return budgetId;
    }
    public void setDeviceId(Integer deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Integer getDeviceId() 
    {
        return deviceId;
    }
    public void setDevice(CmcDevice device)
    {
        this.device = device;
    }

    public CmcDevice getDevice()
    {
        return device;
    }
    public void setDays(Integer days) 
    {
        this.days = days;
    }

    public Integer getDays() 
    {
        return days;
    }
    public void setDepreciation(BigDecimal depreciation) 
    {
        this.depreciation = depreciation;
    }

    public BigDecimal getDepreciation() 
    {
        return depreciation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("budgetDeviceId", getBudgetDeviceId())
            .append("budgetId", getBudgetId())
            .append("deviceId", getDeviceId())
            .append("days", getDays())
            .append("depreciation", getDepreciation())
            .toString();
    }
}
